org.eclipse.graphiti.internal.services.impl

## Class EmfService

- java.lang.Object
- - org.eclipse.graphiti.internal.services.impl.EmfService

All Implemented Interfaces:
  IEmfService

    public final class EmfService
    extends java.lang.Object
    implements IEmfService

### Constructor Summary

Constructors
Constructor and Description
`EmfService()`

### Method Summary

All Methods Instance Methods Concrete Methods
`IDiagramTypeProvider` `getDTPForDiagram(Diagram d)`
`boolean` `isObjectAlive(org.eclipse.emf.ecore.EObject obj)`
`void` `wireDTPToDiagram(Diagram d, IDiagramTypeProvider provider)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EmfService

    public EmfService()

### Method Detail

#### isObjectAlive

    public boolean isObjectAlive(org.eclipse.emf.ecore.EObject obj)

Specified by:
  `isObjectAlive` in interface `IEmfService`

#### getDTPForDiagram

    public IDiagramTypeProvider getDTPForDiagram(Diagram d)

Specified by:
  `getDTPForDiagram` in interface `IEmfService`

#### wireDTPToDiagram

    public void wireDTPToDiagram(Diagram d,
                                 IDiagramTypeProvider provider)

Specified by:
  `wireDTPToDiagram` in interface `IEmfService`